package com.ruoyi.szxc.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 巡查记录对象 szxc_xc_recard
 *
 * @author hs
 * @date 2024-04-15
 */
public class SzxcXcRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 巡查人 */
    @Excel(name = "巡查人")
    private String xcName;

    /** 提报日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提报日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date submitDate;

    /** 巡查日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "巡查日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date xcDate;

    /** 巡查类别 */
    @Excel(name = "巡查类别")
    private String type;

    /** 巡查对像id */
    @Excel(name = "巡查对像id")
    private Long jmId;

    /** 被巡查对象 */
    @Excel(name = "被巡查对象")
    private String xcObj;

    /** 巡查主题 */
    @Excel(name = "巡查主题")
    private String title;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 巡查情况描述 */
    @Excel(name = "巡查情况描述")
    private String content;

    /** 随行巡查人 */
    @Excel(name = "随行巡查人")
    private String flowPeople;

    /** 是否需要整改 */
    @Excel(name = "是否需要整改")
    private String reform;

    /** 整改进度 */
    @Excel(name = "整改进度")
    private String zgProgress;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private String xcStatus;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;

    /** 审核部门id */
    @Excel(name = "审核部门id")
    private Long auditDeptid;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditName;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String auditResult;

    /** 审核原由 */
    @Excel(name = "审核原由")
    private String auditReason;

    /** 备注 */
    @Excel(name = "备注")
    private String shRemark;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setXcName(String xcName)
    {
        this.xcName = xcName;
    }

    public String getXcName()
    {
        return xcName;
    }
    public void setSubmitDate(Date submitDate)
    {
        this.submitDate = submitDate;
    }

    public Date getSubmitDate()
    {
        return submitDate;
    }
    public void setXcDate(Date xcDate)
    {
        this.xcDate = xcDate;
    }

    public Date getXcDate()
    {
        return xcDate;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setJmId(Long jmId)
    {
        this.jmId = jmId;
    }

    public Long getJmId()
    {
        return jmId;
    }
    public void setXcObj(String xcObj)
    {
        this.xcObj = xcObj;
    }

    public String getXcObj()
    {
        return xcObj;
    }
    public void setTitle(String title)
    {
        this.title = title;
    }

    public String getTitle()
    {
        return title;
    }
    public void setPicture(String picture)
    {
        this.picture = picture;
    }

    public String getPicture()
    {
        return picture;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setFlowPeople(String flowPeople)
    {
        this.flowPeople = flowPeople;
    }

    public String getFlowPeople()
    {
        return flowPeople;
    }
    public void setReform(String reform)
    {
        this.reform = reform;
    }

    public String getReform()
    {
        return reform;
    }
    public void setZgProgress(String zgProgress)
    {
        this.zgProgress = zgProgress;
    }

    public String getZgProgress()
    {
        return zgProgress;
    }
    public void setXcStatus(String xcStatus)
    {
        this.xcStatus = xcStatus;
    }

    public String getXcStatus()
    {
        return xcStatus;
    }
    public void setAuditDept(String auditDept)
    {
        this.auditDept = auditDept;
    }

    public String getAuditDept()
    {
        return auditDept;
    }
    public void setAuditDeptid(Long auditDeptid)
    {
        this.auditDeptid = auditDeptid;
    }

    public Long getAuditDeptid()
    {
        return auditDeptid;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setAuditResult(String auditResult)
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult()
    {
        return auditResult;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }
    public void setShRemark(String shRemark)
    {
        this.shRemark = shRemark;
    }

    public String getShRemark()
    {
        return shRemark;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("xcName", getXcName())
                .append("submitDate", getSubmitDate())
                .append("xcDate", getXcDate())
                .append("type", getType())
                .append("jmId", getJmId())
                .append("xcObj", getXcObj())
                .append("title", getTitle())
                .append("picture", getPicture())
                .append("content", getContent())
                .append("flowPeople", getFlowPeople())
                .append("reform", getReform())
                .append("zgProgress", getZgProgress())
                .append("xcStatus", getXcStatus())
                .append("auditDept", getAuditDept())
                .append("auditDeptid", getAuditDeptid())
                .append("auditName", getAuditName())
                .append("auditResult", getAuditResult())
                .append("auditReason", getAuditReason())
                .append("shRemark", getShRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("deptName", getDeptName())
                .append("userId", getUserId())
                .toString();
    }
}
